<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"></script>
    <title>Consulta da Venda do Produto Funcionário</title>
    <link rel="stylesheet" href="../css/tables.css">
</head>

<body style="background-image:url('../assets/background.jpeg');">

    <div class="container w-100" style="border: solid 1px #fff; background-color:#f55145;">
        <div class="row">
            <div class="col-12 d-flex justify-content-around mb-2">
                <h3 class="text-light fs-5 mt-2">Consulta da Venda do Produto</h3>

                <a href="pdf_venda_produto.php" target="_blank" style="text-decoration: none;">
                    <button class="btn btn-outline-light mt-2 d-md-block d-none d-sm-none">Gerar Pdf</button>
                    <button class="btn btn-outline-light d-md-none mt-2 d-sm-block">PDF</button>
                </a>
                
                <a href="../vendas_produtos2.php">
                    <button class="btn btn-outline-light mt-2">Voltar</button>
                </a>
            </div>
        </div>

        <div class="row">
            <!--Table-->
            <table class="table-responsive-md table-bordered text-center" style="background-color: #f55145; color:#fff;">

                <thead>
                    <tr class="text-light">
                        <th>ID Venda</th>
                        <th>ID Produto</th>
                        <th>Quantidade Vendida do Produto</th>
                        <th>Preço do Produto Vendido</th>
                        <th>Valor Recebido pela Venda do Produto</th>
                    </tr>
                </thead>

                <?php

                include "../model/connect.php";

                //query select
                $sql = "SELECT * FROM tbl_venda_produto";

                // buscar no banco de dados por meio da query select
                // para isso usamos o objeto de conexão e o método query()
                $result = $conexao->query($sql); // orientado a objetos utilizando obj $result

                // montar a lista na tabela
                // enquanto o fetch array possui registros ele retorna TRUE e quando ele termina, retorna FALSE
                // while ($linha = mysqli_fetch_array($result)) { // mysqli_fetch_array() procedural}
                while ($linha = $result->fetch_array()) {
                    $id_vendas = $linha['id_vendas'];
                    $idProd = $linha[1];
                    $qtdeVendaProd = $linha[2];
                    $precoVendaProd = $linha[3];
                    $ganhoVendaProd = $linha[4];

                    // montar a tabela
                    $html = <<<HTML
            <tbody>
                <tr>
                    <td>$id_vendas</td>
                    <td>$idProd</td>
                    <td>$qtdeVendaProd</td>
                    <td>$precoVendaProd</td>
                    <td>$ganhoVendaProd</td>
                </tr>
HTML;
                    echo $html;
                } // fim do while

                // apagar o obj
                $result->close();

                // encerrar a conexão
                $conexao->close();
                ?>

            </table>
        </div>
    </div>
</body>